﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UseGoogleMap.aspx.cs" Inherits="CSSamples.Samples.Layers.UseGoogleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Use Google Map</title>
    <script type="text/javascript">
        function OnOverlaysDrawing(layers) {

            for (var index = 0; index < layers.length; index++) {
                var templayer = layers[index];
                if (OpenLayers.String.contains(templayer.CLASS_NAME, 'Google')) {
                    templayer.options.numZoomLevels = 24;
                    templayer.options.maxZoomLevels = 24;

                    templayer.MIN_ZOOM_LEVEL = 0;
                    templayer.MAX_ZOOM_LEVEL = 24;
                    templayer.RESOLUTIONS.push(templayer.RESOLUTIONS[21] / 2);
                    templayer.RESOLUTIONS.push(templayer.RESOLUTIONS[22] / 2);
                    templayer.RESOLUTIONS.push(templayer.RESOLUTIONS[23] / 2);
                }
                if (OpenLayers.String.contains(templayer.CLASS_NAME, 'Bing')) {
                    templayer.options.numZoomLevels = 24;
                    templayer.resolutions.push(templayer.resolutions[19] / 2);
                    templayer.resolutions.push(templayer.resolutions[20] / 2);
                    templayer.resolutions.push(templayer.resolutions[21] / 2);
                    templayer.resolutions.push(templayer.resolutions[22] / 2);
                }
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="100%" Width="100%">
        </cc1:Map>
        <Description:DescriptionPanel ID="DescPanel" runat="server">
            This sample displays a google map. Click buttons below to switch between different Google maps.
        <br />
            <br />
            <asp:Button CssClass="btn" ID="btnRoad" runat="server" Text="Normal" OnClientClick="Map1.SetCurrentBackgroundMapType(google.maps.MapTypeId.ROADMAP); return false;" />
            <asp:Button CssClass="btn" ID="btnAerial" runat="server" Text="Hybrid" OnClientClick="Map1.SetCurrentBackgroundMapType(google.maps.MapTypeId.HYBRID); return false;" /><br />
            <asp:Button CssClass="btn" ID="btnSatellite" runat="server" Text="Satellite" OnClientClick="Map1.SetCurrentBackgroundMapType(google.maps.MapTypeId.SATELLITE); return false;" />
            <asp:Button CssClass="btn" ID="btnPhysical" runat="server" Text="Physical" OnClientClick="Map1.SetCurrentBackgroundMapType(google.maps.MapTypeId.TERRAIN); return false;" />
        </Description:DescriptionPanel>
    </form>
</body>
</html>
